cURL
curl --request GET \ --url https://api.leen.dev/v1/itsm/attachments \ --header 'X-API-KEY: <api-key>' \ --header 'X-CONNECTION-ID: <api-key>'
{ "items": [ { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "url": "<string>", "ticket_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "vendor_attributes": { "id": "<string>", "vendor": "<string>", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "data": { "vendor": "JIRA", "size": 123 } }, "mime_type": "<string>", "status": "ACTIVE", "uploaded_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" } ], "next_cursor": "<string>", "previous_cursor": "<string>" }
Filter attachments by ticket ID
Datetime filter, only return items updated since this datetime. Example format: 2021-01-01T00:00:00+00:00
2021-01-01T00:00:00+00:00
Skip token to continue from the last item in the previous page
Limit size (page size)
x >= 0
Successful Response
List of items returned in the response
Show child attributes
Leen's UUID for the Attachment
Name of the Attachment
URL of the Attachment
Ticket ID the Attachment belongs to
Vendor-specific attributes of the Attachment
Vendor's ID for the Attachment
Vendor name
Creation time of the Attachment in Vendor
Last update time of the Attachment in Vendor
Vendor-specific data associated with the Attachment
JIRA
"JIRA"
MIME type of the Attachment
Status of the Attachment
ACTIVE
DELETED
ARCHIVED
User ID who uploaded the Attachment
Skip token to continue from the first item in the previous page